## compiz-trinity 0.8.4

=== debian/changelog ===
compiz-trinity (0.8.4-2debian1) squeeze; urgency=low

  * Trinity changes pulled into a separate patch
  * Update autotools for new DSO linkage style

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 01 Apr 2013 05:06:47 +0200

compiz-trinity (0.8.4-1ubuntu7) maverick; urgency=low

  * Disabled deprecated GTK features (see Debian bug #577352)

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Sun, 18 Apr 2010 14:20:00 -0600

compiz-trinity (0.8.4-1ubuntu4) lucid; urgency=low

  * Initial Lucid build

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Tue, 02 Mar 2010 20:33:00 -0600

compiz-trinity (0.8.4-1ubuntu2) karmic; urgency=low

  * Added viewport move option to kde-window-decorator

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Mon, 16 Nov 2009 03:51:00 -0600

compiz-trinity (0.8.4-1ubuntu1) karmic; urgency=low

  * Karmic rebuild

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Thu, 02 July 2009 16:08:00 -0600

compiz-trinity (0.7.4-1ubuntu7) intrepid; urgency=low

  * Hardcoded path and compiz filename for KDE3.5 only

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Sat, 02 May 2009 16:40:00 -0600

compiz-trinity (0.7.4-1ubuntu6) intrepid; urgency=low

  * Removed conflicting Gnome compiz files, as they are not needed for the KDE3 version of Compiz. (Closes bug 57)

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Mon, 23 March 2009 10:10:00 -0600

compiz-trinity (0.7.4-1ubuntu3) intrepid; urgency=low

  * Moved KDE3 to /opt/trinity
  * Integrated properly with KDE4.2+

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Wed, 04 March 2009 01:11:00 -0600

compiz-trinity (0.7.4-0ubuntu4) intrepid; urgency=low

  * Added -kde prefix

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Mon, 01 Dec 2008 09:03:00 -0600

compiz (1:0.7.4-0ubuntu7) hardy-proposed; urgency=low

  * debian/patches/028_compiz_manager_blacklist:
    - blacklist i815 (LP: #221920)
  * debian/patches/030_fix_screensaver:
    - dropped, the xserver is fixed now so we do not need
      to work around it (LP: #160264)
    - this means, that this version can *not* be backported
      to gutsy (or any older version of ubuntu) unless the
      xserver there is patched too

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 28 May 2008 10:16:30 +0200

compiz (1:0.7.4-0ubuntu6) hardy; urgency=low

  [ Travis Watkins ]
  * debian/patches/038_from_git_fix_incomplete_rotate.patch:
    - cherry pick git commit cd93bb966ccf0bd951d202ec0cf4df610af0c9e0
      to fix incomplete rotation in rotate plugin (LP: #216705)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 15 Apr 2008 10:04:25 +0200

compiz (1:0.7.4-0ubuntu5) hardy; urgency=low

  * debian/patches/043-blur-plugin-fix-from-git.patch:
    - cherry pick git commit bb8317d6e18a1c2da587f3313fadae42715e04a1
      to fix buffer overflows with gaussian shader radius bigger 
      than 12.

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 14 Apr 2008 15:15:39 +0200

compiz (1:0.7.4-0ubuntu4) hardy; urgency=low

  [ Travis Watkins ]
  * debian/patches/037_fullscreen_stacking_fixes.patch:
    - check for valid window (LP: #206866)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 11 Apr 2008 17:37:59 +0200

compiz (1:0.7.4-0ubuntu3) hardy; urgency=low

  * add forgoten epoch to compiz-core dependency

 -- Michael Vogt <michael.vogt@ubuntu.com>  Sun, 06 Apr 2008 12:06:12 +0200

compiz (1:0.7.4-0ubuntu2) hardy; urgency=low

  * tighten dependencies

 -- Michael Vogt <michael.vogt@ubuntu.com>  Sat, 05 Apr 2008 17:59:20 +0200

compiz (1:0.7.4-0ubuntu1) hardy; urgency=low

  * new upstream release:
    + Configurable handling of overlapping output devices.
    + Enhanced focus stealing prevention with configurable amount 
      of focus stealing prevention.
    + Added configurable, optional delay for edge actions to prevent
      accidential invocation.
    + Generalized vertex system to improve plugin compatibility.
    + Optimized gaussian blur shaders to support more hardware.
    + Improved unredirection of fullscreen windows.
    + Several bugfixes.
    + Translation updates.
  * This fixes: LP: #123205, #105220, #156908

 -- Michael Vogt <michael.vogt@ubuntu.com>  Sat, 05 Apr 2008 12:24:06 +0200

compiz (1:0.7.2+git20080403-0ubuntu1) hardy; urgency=low

  * new git snapshot:
    + fix session management 
    + improve xrandr 1.2 support (overlapping outputs)
    + fix unredirection for games/apps that change the resolution
    + Switch viewports on window activation, not on focus change.
    + focus stealing fixes
    + window managment fixes
    + ABI bump
  * debian/patches/013-add-cursor-theme-support.patch:
    - updated to current code
  * debian/patches/030_fix_screensaver:
    - updated to current code
  * debian/patches/041-start-decorator.patch: 
    - removed, part of upstream now
  * debian/patches/042-compiz-manager-default-plugin.patch:
    - always load core first
  * debian/control:
    - ABI bump, updated dependencies accordingly
    - remove dependency on compiz-core from compiz-dev

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 03 Apr 2008 09:59:02 +0200

compiz (1:0.7.2-0ubuntu2) hardy; urgency=low

  [ Travis Watkins ]
  * debian/patches/036_blacklist_ati_on_laptop.patch:
    - don't start compiz if using the ati or radeon driver
      and using a laptop as mobility cards have issues (LP: #197135)
  * debian/patches/037_fullscreen_stacking_fixes.patch:
    - keep window on top of fullscreen windows during move
    - when changing from fullscreen to non-fullscreen keep
      window on top of other fullscreen windows (LP: #173303)

  [ Michael Vogt ]
  * debian/patches/040_resolve-animation-fade-conflict_from_upstream.patch:
    - patch from Erkin Bahceci to resolve conflict between fade and
      animation plugin (thanks!)
  * debian/compiz-decorator:
    - added compiz-decorator script (thanks to Jigish Gohil)
  * debian/patches/029_compiz_manager_decoration.patch:
    - remove starting of the decorator from compiz-manager, this

