=== debian/control ===
Source: compiz-trinity
Section: x11
Priority: optional
Maintainer: Timothy Pearson <kb9vqf@pearsoncomputing.net>
XSBC-Original-Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
Uploaders: Thierry Reding <thierry@gilfi.de>, David Nusinow <dnusinow@debian.org>
Build-Depends: debhelper (>= 5), quilt (>= 0.40), automake, libtool, libglib2.0-dev, libgconf2-dev, libpng12-dev | libpng-dev, libxcomposite-dev (>= 1:0.3-2), libxfixes-dev (>= 1:4.0.1), libxdamage-dev (>=1:1.0.3), libxrandr-dev (>= 2:1.1.0.2), libxrender-dev (>= 1:0.9.1), libice-dev (>= 1:1.0.1), libsm-dev (>= 1:1.0.1), libgl1-mesa-dev (>= 6.5.1) | libgl-dev, libcairo-dev, librsvg2-dev, libgnome-desktop-dev, libdbus-glib-1-dev, libwnck-dev, libgtk2.0-dev, libpango1.0-dev, x11proto-gl-dev (>= 1.4.8), libxinerama-dev, libmetacity-dev, kdebase-trinity-dev, libdbus-tqt-1-dev, libxcursor-dev, libxml2-dev, libxslt1-dev, libxml-parser-perl, libglu1-mesa-dev, xsltproc, metacity-common, libx11-xcb-dev, intltool, gnome-control-center-dev
Standards-Version: 3.8.4

Package: compiz-trinity
Architecture: all
Depends: compiz-core-trinity, compiz-plugins-trinity, compiz-fusion-plugins-main-trinity, compiz-fusion-plugins-extra-trinity, libcompizconfig0-trinity
Description: OpenGL window and compositing manager [Trinity]
 Compiz brings to life a variety of visual effects that make the Linux desktop
 easier to use, more powerful and intuitive, and more accessible for users
 with special needs.
 .
 This meta-package provides the components necessary for running compiz in KDE3. 
 It provides the compiz core, a set of standard plugins, and a window decorator 
 using the Gtk toolkit.

Package: compiz-core-trinity
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, mesa-utils
Recommends: compiz-plugins-trinity (= ${binary:Version})
Suggests: nvidia-glx (>= 1.0.9625-1)
Description: OpenGL window and compositing manager [Trinity]
 Compiz brings to life a variety of visual effects that make the Linux desktop
 easier to use, more powerful and intuitive, and more accessible for users
 with special needs.
 .
 Compiz combines together a window manager and a composite manager using
 OpenGL for rendering. A "window manager" allows the manipulation of the
 multiple applications and dialog windows that are presented on the screen. A
 "composite manager" allows windows and other graphics to be combined together
 to create composite images. Compiz achieves its stunning effects by doing
 both of these functions.

Package: compiz-trinity-dev
Architecture: any
Depends: libgl1-mesa-dev | libgl-dev, libpng-dev, libxcomposite-dev, libxdamage-dev, libxfixes-dev, libxcursor-dev, libxinerama-dev, libxrandr-dev, libice-dev, libsm-dev, libstartup-notification0-dev, libx11-xcb-dev, libxml2-dev, libxslt1-dev, ${shlibs:Depends}, ${misc:Depends}
Description: OpenGL window and compositing manager - development files [Trinity]
 Compiz brings to life a variety of visual effects that make the Linux desktop
 easier to use, more powerful and intuitive, and more accessible for users
 with special needs.
 .
 This package contains the headers and libraries needed to compile compiz
 plugins.

Package: compiz-kde-trinity
Architecture: any
Depends: compiz-core-trinity (= ${binary:Version}), compiz-plugins-trinity (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: OpenGL window and compositing manager - KDE window decorator [Trinity]
 Compiz brings to life a variety of visual effects that make the Linux desktop
 easier to use, more powerful and intuitive, and more accessible for users
 with special needs.
 .
 This package contains a window decorator that uses KDE3 to provide a look and
 feel similar to that of the default KDE3 window manager.

Package: compiz-plugins-trinity
Architecture: any
Depends: compiz-core-trinity (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: OpenGL window and compositing manager - plugins [Trinity]
 Compiz brings to life a variety of visual effects that make the Linux desktop
 easier to use, more powerful and intuitive, and more accessible for users
 with special needs.
 .
 This package contains the standard plugins that come with compiz. Compiz
 without these plugins is not very useful.

Package: libdecoration0-trinity
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Compiz window decoration library [Trinity]
 The window decoration library is responsible for drawing the window borders
 and title bar of windows managed by Compiz. It is used by window decorators
 like gtk-window-decorator and kde-window-decorator.

Package: libdecoration0-trinity-dev
Architecture: any
Section: libdevel
Depends: libdecoration0-trinity (= ${binary:Version}), libx11-dev, libxrender-dev, ${shlibs:Depends}, ${misc:Depends}
Description: Compiz window decoration library - development files [Trinity]
 The window decoration library is responsible for drawing the window borders
 and title bar of windows managed by Compiz. It is used by window decorators
 like gtk-window-decorator and kde-window-decorator.
 .
 This package contains files required for developing window decorators
 compatible with Compiz.

# vim: tw=0
